For the complete documentation index, see llms.txt. This page is also available as Markdown.

Action

action

Search Actions

get

Search all Actions this user has access to

Query parameters
actionIdintegerOptional

Filter by Action Id

ownerIdintegerOptional

Filter by Owner Id

triggerTypestringOptional

Filter by Action trigger type

triggerCodestringOptional

Filter by Action trigger code

actionTypestringOptional

Filter by Action type

sourcestringOptional

Filter by Action source

sourceIdintegerOptional

Filter by Action source Id

targetstringOptional

Filter by Action target

targetIdintegerOptional

Filter by Action target Id

layoutIdintegerOptional

Return all actions pertaining to a particular Layout

sourceOrTargetIdintegerOptional

Return all actions related to a source or target with the provided ID

Responses
200

successful operation

application/json

Class Action

actionIdintegerOptional

The Action Id

ownerIdintegerOptional

The Owner Id

triggerTypestringOptional

The Action trigger type

triggerCodestringOptional

The Action trigger code

actionTypestringOptional

The Action type

sourcestringOptional

The Action source (layout, region or widget)

sourceIdintegerOptional

The Action source Id (layoutId, regionId or widgetId)

targetstringOptional

The Action target (region)

targetIdintegerOptional

The Action target Id (regionId)

widgetIdintegerOptional

Widget ID that will be loaded as a result of navigate to Widget Action type

layoutCodestringOptional

Layout Code identifier

layoutIdintegerOptional

Layout Id associated with this Action

get/action
GET /api/action HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "actionId": 1,
    "ownerId": 1,
    "triggerType": "text",
    "triggerCode": "text",
    "actionType": "text",
    "source": "text",
    "sourceId": 1,
    "target": "text",
    "targetId": 1,
    "widgetId": 1,
    "layoutCode": "text",
    "layoutId": 1
  }
]

Add Action

post

Add a new Action

Body
layoutIdintegerRequired

LayoutId associted with this Action

actionTypestringRequired

Action type, next, previous, navLayout, navWidget

targetstringRequired

Target for this action, screen or region

targetIdstringOptional

The id of the target for this action - regionId if the target is set to region

sourcestringOptional

Source for this action layout, region or widget

sourceIdintegerOptional

The id of the source object, layoutId, regionId or widgetId

triggerTypestringOptional

Action trigger type, touch or webhook

triggerCodestringOptional

Action trigger code

widgetIdintegerOptional

For navWidget actionType, the WidgetId to navigate to

layoutCodestringOptional

For navLayout, the Layout Code identifier to navigate to

Responses
201

successful operation

application/json
post/action
POST /api/action HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 172

"layoutId=1&actionType='text'&target='text'&targetId='text'&source='text'&sourceId=1&triggerType='text'&triggerCode='text'&widgetId=1&layoutCode='text'"
201

successful operation

{
  "actionId": 1,
  "ownerId": 1,
  "triggerType": "text",
  "triggerCode": "text",
  "actionType": "text",
  "source": "text",
  "sourceId": 1,
  "target": "text",
  "targetId": 1,
  "widgetId": 1,
  "layoutCode": "text",
  "layoutId": 1
}

Edit Action

put

Edit a new Action

Path parameters
actionIdintegerRequired

Action ID to edit

Body
layoutIdintegerRequired

LayoutId associted with this Action

actionTypestringRequired

Action type, next, previous, navLayout, navWidget

targetstringRequired

Target for this action, screen or region

targetIdstringOptional

The id of the target for this action - regionId if the target is set to region

sourcestringRequired

Source for this action layout, region or widget

sourceIdintegerRequired

The id of the source object, layoutId, regionId or widgetId

triggerTypestringRequired

Action trigger type, touch or webhook

triggerCodestringOptional

Action trigger code

widgetIdintegerOptional

For navWidget actionType, the WidgetId to navigate to

layoutCodestringOptional

For navLayout, the Layout Code identifier to navigate to

Responses
201

successful operation

application/json
put/action/{actionId}
PUT /api/action/{actionId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 172

"layoutId=1&actionType='text'&target='text'&targetId='text'&source='text'&sourceId=1&triggerType='text'&triggerCode='text'&widgetId=1&layoutCode='text'"
201

successful operation

{
  "actionId": 1,
  "ownerId": 1,
  "triggerType": "text",
  "triggerCode": "text",
  "actionType": "text",
  "source": "text",
  "sourceId": 1,
  "target": "text",
  "targetId": 1,
  "widgetId": 1,
  "layoutCode": "text",
  "layoutId": 1
}

Delete Action

delete

Delete an existing Action

Path parameters
actionIdintegerRequired

The Action ID to Delete

Responses
204

successful operation

No content

delete/action/{actionId}
DELETE /api/action/{actionId} HTTP/1.1
Accept: */*
204

successful operation

No content

Last updated

Was this helpful?